Subject: Re: your mail

From: Zheng Gengbing <[email-masked]>
Date: Mon, 27 May 1996 10:07:08 +0800 (EAT)

On Sat, 25 May 1996, Guansong Zhang wrote:

> I have question about core file. I am new to UNIX, I don't know what this file
> can be used for.
> 
> Say, when I met a segment fault, this core will help?
> 
> But it seems I can use dbx to find the problem with out this file! I don't
> understand their relations. Please give me a hint if you can.
> 

	core file is created when run a program not in debug tools . Core
file save all the needed debugging information .
After core file is created you can debug the program without rerun that 
program again . The debug tool will locate the core dump point in the 
source code automatically. But to continue the running is not allowed .

	When run a program in debug tools , the core file is needless .
Debug tools will locate the point when it capture the SIGNAL .

Zheng